-- NOTES:

-- play dialogue CC_XELKHK_H_KE_A,
-- play same jump —> zip away hornet anim as in the first hornet cutscene, play CC_XELKHK_H_KE_B

function onBegin()
	disableMovement()
	if not getFlag("HornetGP-04NoRespawn") and not getFlag("HornetGP-04Seen") then
		waitUntilOnGround()
		wait(0.1)
		say("CC_XELKHK_H_GP_B")
		setFlag("HornetGP-04Moving",true)
		wait(0.11)
		setFlag("HornetGP-04JumpsAway",true)
		playSound("event:/CC/CC_HollowKnight/SFX/Scene/HornetCastoffNeedle")
		wait(0.02)
		setFlag("HornetGP-04JumpedAway",true)
		wait(0.5)
		--setFlag("HornetGP-04Seen",true)
	end
end

function onEnd()
	enableMovement()
	setFlag("HornetGP-04JumpsAway",false)
	setFlag("HornetGP-04NoRespawn",true)
	setFlag("HornetGP-04Seen",true)
end